Skip to main content
`Ctrl`+`K`

# VecStrideMinAll

Computes the minimum of subvector of a vector defined by a starting point and a stride and optionally its location.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecStrideMinAll(Vec v, PetscInt idex[], PetscReal nrm[])

Collective

## Input Parameter

- v - the vector

## Output Parameters

- idex - the location where the minimum occurred (not supported, pass `NULL`, if you need this, send mail to petsc-maint@mcs.anl.gov to request it)

- nrm - the minimums of each subvector

## Notes

One must call `VecSetBlockSize()` before this routine to set the stride information, or use a vector created from a multicomponent `DMDA`.

The dimension of `nrm` must be the same as the vector block size

## See Also

`Vec`, `VecMin()`, `VecStrideNorm()`, `VecStrideGather()`, `VecStrideScatter()`, `VecStrideMax()`

## Level

advanced

## Location

src/vec/vec/utils/vinv.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages